ru.yandex.clickhouse.jdbc.parser

## Class ClickHouseSqlParserTokenManager

- java.lang.Object
- - ru.yandex.clickhouse.jdbc.parser.ClickHouseSqlParserTokenManager

All Implemented Interfaces:
  ClickHouseSqlParserConstants

    public class ClickHouseSqlParserTokenManager
    extends Object
    implements ClickHouseSqlParserConstants

Token Manager.

### Field Summary

Fields
`protected int` `curChar`
`protected SimpleCharStream` `input_stream`
`static int[]` `jjnewLexState` Lex State array.
`static String[]` `jjstrLiteralImages` Token literal values.
`static String[]` `lexStateNames` Lexer state names.

### Fields inherited from interface ru.yandex.clickhouse.jdbc.parser.ClickHouseSqlParserConstants

`A, ALL, ALTER, AND, APPLY, ARRAY, ARROW, AS, ASOF, ASTERISK, AT, ATTACH, B, BACK_QUOTE, BACK_QUOTED_NAME, BACK_SLASH, BETWEEN, C, CASE, CHECK, CLUSTER, COLON, COMMA, CONCAT, CREATE, D, DASH, DATABASE, DATABASES, DATE, DAY, DEC_DIGIT, DECIMAL_LITERAL, DEFAULT, DELETE, DESC, DESCRIBE, DETACH, DICTIONARIES, DICTIONARY, DISTINCT, DOLLAR, DOT, DOUBLE_QUOTE, DOUBLE_QUOTED_NAME, DROP, E, ELSE, END, EOF, EQ_DOUBLE, EQ_SINGLE, EXCEPT, EXISTS, EXPLAIN, F, FINAL, FLOATING_LITERAL, FORMAT, FROM, FULL, FUNCTION, G, GE, GLOBAL, GRANT, GROUP, GT, H, HASH, HAVING, HEX_DIGIT, HEXADECIMAL_LITERAL, HOUR, I, IDENTIFIER, IF, ILIKE, IN, INF, INNER, INSERT, INTERVAL, INTO, IS, J, JOIN, K, KILL, L, LBRACE, LBRACKET, LE, LEFT, LETTER, LIKE, LIMIT, LIVE, LPAREN, LT, M, MATERIALIZED, MINUTE, MONTH, MULTI_LINE_COMMENT, N, NAN, NOT, NOT_EQ, NULL, O, OFFSET, ON, OPTIMIZE, OR, ORDER, OUTFILE, P, PERCENT, PLUS, POLICY, PREWHERE, PROFILE, Q, QUARTER, QUERY, QUOTA, R, RBRACE, RBRACKET, RENAME, REPLACE, REVOKE, RIGHT, ROLE, ROW, RPAREN, S, SAMPLE, SECOND, SELECT, SEMICOLON, SET, SETTINGS, SHOW, SINGLE_LINE_COMMENT, SINGLE_QUOTE, SLASH, STRING_LITERAL, SYSTEM, T, TABLE, TABLES, TEMPORARY, THEN, TIES, TIMESTAMP, tokenImage, TOP, TOTALS, TRUNCATE, U, UNDERSCORE, UNION, UPDATE, USE, USER, USING, V, VALUES, VIEW, W, WATCH, WEEK, WHEN, WHERE, WHITESPACE, WITH, X, Y, YEAR, Z, ZERO`

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseSqlParserTokenManager(SimpleCharStream stream)` Constructor.
`ClickHouseSqlParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `CommonTokenAction(Token t)`
`Token` `getNextToken()` Get the next Token.
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)` Reinitialise parser.
`void` `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`void` `SwitchTo(int lexState)` Switch to specified lex state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

Token literal values.

#### lexStateNames

    public static final String[] lexStateNames

Lexer state names.

#### jjnewLexState

    public static final int[] jjnewLexState

Lex State array.

#### input_stream

    protected SimpleCharStream input_stream

#### curChar

    protected int curChar

### Constructor Detail

#### ClickHouseSqlParserTokenManager

    public ClickHouseSqlParserTokenManager(SimpleCharStream stream)

Constructor.

#### ClickHouseSqlParserTokenManager

    public ClickHouseSqlParserTokenManager(SimpleCharStream stream,
                                           int lexState)

Constructor.

### Method Detail

#### CommonTokenAction

    public void CommonTokenAction(Token t)

#### jjFillToken

    protected Token jjFillToken()

#### getNextToken

    public Token getNextToken()

Get the next Token.

#### ReInit

    public void ReInit(SimpleCharStream stream)

Reinitialise parser.

#### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

Reinitialise parser.

#### SwitchTo

    public void SwitchTo(int lexState)

Switch to specified lex state.